import request from '../../../util/http'
import apiUrl from '../../../util/apiUrl'
import util from '../../../util/util'
import moment from 'moment'
var app = getApp();
Page({
  onLoad(query) {
    // 页面加载
    console.log('onLoad');
    console.info(`Page onLoad with query: ${JSON.stringify(query)}`);
        //    my.setStorageSync({
        //   key: 'userInfo',
        //  data: {'id':'3'}
        //    });
       
    let storageRes = my.getStorageSync({ key: 'userInfo' });
    console.log(storageRes);
     my.alert({
    content: JSON.stringify(storageRes),
 });
    //  this.authInit();
    if(storageRes.data==null){
      // 没有用户信息获取授权
       this.authInit();
    }else{
     let id= storageRes.data.id;
      // 有用户信息更新用户信息
      let params={'id':id};
      this.getUserInfo(params);
    }
      
  },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
  // 授权登录
   authInit(){
 my.authorize({
  scopes: 'scope.userInfo',
  success: (res) => {
    my.getAuthUserInfo({
      success:  (userInfo) => {
        console.log(userInfo);
      //  let  data= await request.httpServicePost(apiUrl.registerUserPath);
        request.httpServicePost(apiUrl.registerUserPath).then(data=>{
        console.log(data);
        let userInfo=data;
        //  授权注册成功后将用户信息存到本地存储和globalData
        my.setStorageSync({
          key: 'userInfo',
         data: userInfo
           });
        })
        app.globalData.userInfo = userInfo;
         
      }
    });
  },
});
  },

  // 获取用户信息
       getUserInfo(params){
      request.httpServiceGet(apiUrl.getUserInfoPath,params).then(data=>{
        console.log(data);
        //  授权用户信息后将用户信息存到本地存储和globalData
        if(data!=undefined){
           app.globalData.userInfo=data;
       my.setStorageSync({
         key:"userInfo",
         data:data
       });
        }
      
        })

      // let  res=await request.httpServiceGet(apiUrl.getUserInfoPath,params);
      // console.log(res);
  }

});
